couponsby La Crypta
ApiMint

Coupons the caller can mint

Across every merchant that authorized this npub. For POS button lists.

GET/api/coupons/mintable

Across every merchant that authorized this npub. For POS button lists.

Authorization<token>

Nostr <base64 of kind 27235 event>. Tags: u, method, optional payload (sha256 hex of body), and a random nonce to avoid replay.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/coupons/mintable"
{  "coupons": [    {      "id": "string",      "name": "string",      "description": "string",      "image": "string",      "coupon": {        "type": "percent",        "percent": 0,        "productDs": [          "string"        ],        "cap": {          "amount": 1,          "currency": "ARS"        }      },      "npub": "string",      "remaining": 0,      "expiresAt": 0    }  ]}